#include "include/i2c_master.h"

inline void i2c_master_send(uint8_t address, const uint8_t *src, size_t len)
{
    i2c_write_blocking_until(I2C_MASTER_INSTANCE, address, src, len, false, I2C_MASTER_MAX_TIMEOUT);
}

inline void i2c_master_receive(uint8_t address, uint8_t *dst, size_t len)
{
    i2c_read_blocking_until(I2C_MASTER_INSTANCE, address, dst, len, false, I2C_MASTER_MAX_TIMEOUT);
}

inline void i2c_master_send_receive(uint8_t address, uint8_t *data, size_t len)
{
    i2c_write_blocking_until(I2C_MASTER_INSTANCE, address, data, len, true, I2C_MASTER_MAX_TIMEOUT);
    i2c_master_receive(address, data, len);
}