#ifndef I2C_MASTER_H
#define I2C_MASTER_H

#include <hardware/i2c.h>

#define I2C_MASTER_SDA_PIN 4
#define I2C_MASTER_SCL_PIN 5
#define I2C_MASTER_INSTANCE i2c0
#define I2C_MASTER_MAX_TIMEOUT 10000

// Send [src] of [len] to [address] and close communication
void i2c_master_send(uint8_t address, const uint8_t *src, size_t len);
// Receive [dst] of [len] from [address] and close communication
void i2c_master_receive(uint8_t address, uint8_t *dst, size_t len);
// Send [data] of [len] to [address], receive [data] of [len] from [address] and close communication
void i2c_master_send_receive(uint8_t address, uint8_t *data, size_t len);

#endif // I2C_MASTER_H